# ProblemAggregationEvent

@Incubating
interface ProblemAggregationEvent : ProblemEvent

Represents a list of aggregated problems. These are sent at the end of the build. All Problems that occurred more than once during the build are aggregated and sent as a ProblemAggregation. They won't be sent in between the build only the first one.

#### Since

8.8

## Functions

getDescriptor
Link copied to clipboard
abstract fun getDescriptor(): OperationDescriptor
getDisplayName
Link copied to clipboard
abstract fun getDisplayName(): String
getEventTime
Link copied to clipboard
abstract fun getEventTime(): Long
getProblemAggregation
Link copied to clipboard
abstract fun getProblemAggregation(): ProblemAggregation
Returns a problem aggregation.